package accounts

import (
	"gitea.qpismont.fr/qpismont/trepa/internal/core"
	"github.com/jmoiron/sqlx"
)

func BindRoutes(srv *core.ServerMux, db *sqlx.DB) {
	repository := NewRepository(db)
	service := NewService(repository)
	controller := NewController(service)

	srv.HandleFunc("GET /accounts", controller.CreateAccount)
}
