package core

import (
	"testing"

	"github.com/stretchr/testify/assert"
)

func TestMustGetEnvVar(t *testing.T) {
	LoadEnvVars("../../.env")

	assert.Equal(t, MustGetEnvVar("TEST_DB_HOST"), "host.docker.internal")
	assert.Equal(t, MustGetEnvVar("TEST_DB_PORT"), "5432")
	assert.Equal(t, MustGetEnvVar("TEST_DB_USER"), "dev")
	assert.Equal(t, MustGetEnvVar("TEST_DB_PASSWORD"), "dev")
	assert.Equal(t, MustGetEnvVar("TEST_DB_NAME"), "trepa_test")
}
